Bug 1694019 - Rebase librepo to >= 1.9.5
Summary: Rebase librepo to >= 1.9.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: librepo
Version: 8.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 10:22 UTC by Jaroslav Mracek
Modified: 2020-11-14 14:12 UTC (History)
3 users (show)

Fixed In Version: librepo-1.10.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:55 UTC

Description Jaroslav Mracek 2019-03-29 10:22:03 UTC

Comment 1 Jaroslav Mracek 2019-04-26 08:54:56 UTC
LIBREPO is a library that is tightly bound with LIBDNF and DNF. After the last release there are several changes in code that requires changes in other related components, but not all relationships could be easily identified. With backporting only particular features DNF team cannot ensure 100% functionality and there is a high risk of problems in the stability or in incomplete functionality.

Comment 2 Karel Srot 2019-04-26 09:12:24 UTC
Adding link to individual changes
https://github.com/rpm-software-management/librepo/commits/master

Jardo,
according to your judgement, would any of those changes deserve specific tests to be created, either because these are new features or risky changes? I can see there are already many tests among the commits.

Comment 3 Jaroslav Mracek 2019-04-26 10:14:14 UTC
I believe that behavior or new futures will be covered by tests developed for other bugzillas or by current test set.

Comment 4 Karel Srot 2019-04-26 12:12:56 UTC
Could you be more specific? What are the other bugzillas? I don't see any other libcomps bug for 8.1.

Comment 6 Jaroslav Mracek 2019-04-26 17:58:46 UTC
Sorry, My previous comment 5 is completely incorrect.

We have many tests that test librepo functionality indirectly like any tests that uses conf files, downloading repository data and downloading packages.

Is it what you searched for?

Comment 7 Karel Srot 2019-04-30 07:56:55 UTC
OK, let me start over.

(In reply to Karel Srot from comment #2)
>> Adding link to individual changes
>> https://github.com/rpm-software-management/librepo/commits/master
>> 
>> Jardo,
>> according to your judgement, would any of those changes deserve specific
>> tests to be created, either because these are new features or risky changes?
>> I can see there are already many tests among the commits.

(In reply to Jaroslav Mracek from comment #3)
> I believe that behavior or new futures will be covered by tests developed
> for other bugzillas or by current test set.

My question is: Is there any change or newly introduce feature that would (according to your opinion) deserve extra testing? I am not speaking about regression testing with already existing tests but if there is a need to create new tests for any of the changes in the changelog. I didn't find any other librepo bug for RHEL-8.1 so I am curious whether any of the new features is actually important for us, maybe they are important for features tracked for other components.

Comment 11 Lukáš Hrázký 2019-08-28 14:31:51 UTC
For the single commit marked as MEDIUM priority: https://github.com/rpm-software-management/librepo/commit/26679ac757931c9cdeffc5dc96284bcafa9a246c

The commit fixes appending paths to URLs (e.g. baseurl) that have http arguments (the arguments following a '?'). The path needs to be inserted before the question mark.

We've agreed with Jan Blazek that regular librepo repodata/package downloading is covered in the CI stack and it is sufficient to cover this special case in upstream librepo's unit tests.

PR for librepo unit tests: https://github.com/rpm-software-management/librepo/pull/163

I've also verified manually that using a baseurl with arguments was broken before the aforementioned commit and is working now.

Comment 14 errata-xmlrpc 2019-11-05 22:21:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.